Bug#358719: hplip: hp-setup fails to find PPDs and this doesn't work

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#358719: hplip: hp-setup fails to find PPDs and this doesn't work

Henrique de Moraes Holschuh
Package: hplip
Version: 0.9.9-1
Severity: important
Tags: pending

/etc/hp/hplip.conf is listing the wrong directory in the [dirs] section for
ppd.  Removing the trailing /HP fixes it.

This breakage makes hp-setup completely useless.  The workaround is to fix
/etc/hp/hplip.conf manually. 0.9.9-2 fixes this issue.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15.6-debian8+bluesmoke+lm85
Locale: LANG=pt_BR.ISO-8859-1, LC_CTYPE=pt_BR.ISO-8859-1 (charmap=ISO-8859-1)

Versions of packages hplip depends on:
ii  adduser                       3.85       Add and remove users and groups
ii  coreutils                     5.94-1     The GNU core utilities
ii  cupsys                        1.1.23-15  Common UNIX Printing System(tm) -
ii  hplip-data                    0.9.9-1    HP Linux Printing and Imaging - da
ii  libc6                         2.3.6-4    GNU C Library: Shared libraries an
ii  libcupsys2                    1.1.23-15  Common UNIX Printing System(tm) -
ii  libgcc1                       1:4.0.3-1  GCC support library
ii  libsnmp9                      5.2.2-3    NET SNMP (Simple Network Managemen
ii  libssl0.9.8                   0.9.8a-8   SSL shared libraries
ii  libstdc++6                    4.0.3-1    The GNU Standard C++ Library v3
ii  libusb-0.1-4                  2:0.1.11-6 userspace USB programming library
ii  lsb-base                      3.0-16     Linux Standard Base 3.0 init scrip
ii  python                        2.3.5-5    An interactive high-level object-o
ii  python-qt3                    3.15-4     Qt3 bindings for Python (default v

Versions of packages hplip recommends:
ii  cupsys-client              1.1.23-15     Common UNIX Printing System(tm) -
ii  hpijs                      2.1.9+0.9.9-1 HP Linux Printing and Imaging - gs
ii  python-reportlab           1.20debian-3  ReportLab library to create PDF do

-- no debconf information

--
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Bug#358719: marked as done (hplip: hp-setup fails to find PPDs and this doesn't work)

Debian Bug Tracking System
Your message dated Fri, 31 Mar 2006 07:31:19 -0800
with message-id <[hidden email]>
and subject line Bug#358719: fixed in hplip 0.9.9-2
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)


Package: hplip
Version: 0.9.9-1
Severity: important
Tags: pending

/etc/hp/hplip.conf is listing the wrong directory in the [dirs] section for
ppd.  Removing the trailing /HP fixes it.

This breakage makes hp-setup completely useless.  The workaround is to fix
/etc/hp/hplip.conf manually. 0.9.9-2 fixes this issue.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15.6-debian8+bluesmoke+lm85
Locale: LANG=pt_BR.ISO-8859-1, LC_CTYPE=pt_BR.ISO-8859-1 (charmap=ISO-8859-1)

Versions of packages hplip depends on:
ii  adduser                       3.85       Add and remove users and groups
ii  coreutils                     5.94-1     The GNU core utilities
ii  cupsys                        1.1.23-15  Common UNIX Printing System(tm) -
ii  hplip-data                    0.9.9-1    HP Linux Printing and Imaging - da
ii  libc6                         2.3.6-4    GNU C Library: Shared libraries an
ii  libcupsys2                    1.1.23-15  Common UNIX Printing System(tm) -
ii  libgcc1                       1:4.0.3-1  GCC support library
ii  libsnmp9                      5.2.2-3    NET SNMP (Simple Network Managemen
ii  libssl0.9.8                   0.9.8a-8   SSL shared libraries
ii  libstdc++6                    4.0.3-1    The GNU Standard C++ Library v3
ii  libusb-0.1-4                  2:0.1.11-6 userspace USB programming library
ii  lsb-base                      3.0-16     Linux Standard Base 3.0 init scrip
ii  python                        2.3.5-5    An interactive high-level object-o
ii  python-qt3                    3.15-4     Qt3 bindings for Python (default v

Versions of packages hplip recommends:
ii  cupsys-client              1.1.23-15     Common UNIX Printing System(tm) -
ii  hpijs                      2.1.9+0.9.9-1 HP Linux Printing and Imaging - gs
ii  python-reportlab           1.20debian-3  ReportLab library to create PDF do

-- no debconf information

--
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh


Source: hplip
Source-Version: 0.9.9-2

We believe that the bug you reported is fixed in the latest version of
hplip, which is due to be installed in the Debian FTP archive:

hpijs-ppds_2.1.9+0.9.9-2_all.deb
  to pool/main/h/hplip/hpijs-ppds_2.1.9+0.9.9-2_all.deb
hpijs_2.1.9+0.9.9-2_i386.deb
  to pool/main/h/hplip/hpijs_2.1.9+0.9.9-2_i386.deb
hplip-data_0.9.9-2_all.deb
  to pool/main/h/hplip/hplip-data_0.9.9-2_all.deb
hplip_0.9.9-2.diff.gz
  to pool/main/h/hplip/hplip_0.9.9-2.diff.gz
hplip_0.9.9-2.dsc
  to pool/main/h/hplip/hplip_0.9.9-2.dsc
hplip_0.9.9-2_i386.deb
  to pool/main/h/hplip/hplip_0.9.9-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [hidden email],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Henrique de Moraes Holschuh <[hidden email]> (supplier of updated hplip package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [hidden email])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 24 Mar 2006 21:22:17 -0300
Source: hplip
Binary: hpijs hplip-data hpijs-ppds hplip
Architecture: source i386 all
Version: 0.9.9-2
Distribution: unstable
Urgency: low
Maintainer: Henrique de Moraes Holschuh <[hidden email]>
Changed-By: Henrique de Moraes Holschuh <[hidden email]>
Description:
 hpijs      - HP Linux Printing and Imaging - gs IJS driver (hpijs)
 hpijs-ppds - HP Linux Printing and Imaging - HPIJS PPD files
 hplip      - HP Linux Printing and Imaging System (HPLIP)
 hplip-data - HP Linux Printing and Imaging - data files
Closes: 358719
Changes:
 hplip (0.9.9-2) unstable; urgency=low
 .
   * configure.in, Makefile.am, debian/rules, prnt/hpijs/configure.in:
     fix /etc/hp/hplip.conf ppd dir setting, thus unbreaking hp-setup
     and remove useless cruft re. PPD dir setup while at it (closes: #358719)
Files:
 c76cb5d33680fd9a738794a6981a4269 1096 utils optional hplip_0.9.9-2.dsc
 2fc673c6fe3863b9a9ea574c5493fee5 359583 utils optional hplip_0.9.9-2.diff.gz
 59534761905e96981ac40f109b041649 1582264 utils optional hpijs-ppds_2.1.9+0.9.9-2_all.deb
 8f0b9a962991588e2a97096290cb7688 6177262 utils optional hplip-data_0.9.9-2_all.deb
 affe0added046c846065e6d9e183a4c1 318954 utils optional hpijs_2.1.9+0.9.9-2_i386.deb
 5984a18f870ccc078e2789dd4af023ea 531552 utils optional hplip_0.9.9-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iQEVAwUBRCTFTojztdzjjnrPAQJnrwf/Vyd4X6iqQY9C+R027AkbhfNUc26XfMVJ
3T4xzI1eN4NSWQQil+MCdryl1A+oCXXc4ky2Q8HKBCJcoz6zmIB9qW4yVNPfHXtK
ND+zkwHwcWUldWAM+kOHVywlnXxUvUZnHtHi9T4gBbcRLABhvlZpVpx6lSsAYPXQ
XaQ+RP0IywHkMVufWx2QG4nHs7c+9A73Rxc7rkdsxS6xdUUwt2gDVyQrrvMe3Iiq
r9V/YQMvnfQeGCi3icDsQ6Hst4GczgNuYaiiAOZ0VhtOPhyq6sy08whL5LuJH9mU
bWcuNJJ1Hvd79OoKJyI2VFZ2st27DYVzqVpXuEId9ob3uCsHPs2Idw==
=36MC
-----END PGP SIGNATURE-----